<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Dnspod\V20210323\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DescribeRecordFilterList返回参数结构体
 *
 * @method RecordCountInfo getRecordCountInfo() 获取记录的数量统计信息
 * @method void setRecordCountInfo(RecordCountInfo $RecordCountInfo) 设置记录的数量统计信息
 * @method array getRecordList() 获取获取的记录列表
 * @method void setRecordList(array $RecordList) 设置获取的记录列表
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class DescribeRecordFilterListResponse extends AbstractModel
{
    /**
     * @var RecordCountInfo 记录的数量统计信息
     */
    public $RecordCountInfo;

    /**
     * @var array 获取的记录列表
     */
    public $RecordList;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param RecordCountInfo $RecordCountInfo 记录的数量统计信息
     * @param array $RecordList 获取的记录列表
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("RecordCountInfo",$param) and $param["RecordCountInfo"] !== null) {
            $this->RecordCountInfo = new RecordCountInfo();
            $this->RecordCountInfo->deserialize($param["RecordCountInfo"]);
        }

        if (array_key_exists("RecordList",$param) and $param["RecordList"] !== null) {
            $this->RecordList = [];
            foreach ($param["RecordList"] as $key => $value){
                $obj = new RecordListItem();
                $obj->deserialize($value);
                array_push($this->RecordList, $obj);
            }
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
