<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Keewidb\V20220308\Models;
use TencentCloud\Common\AbstractModel;

/**
 * ModifyMaintenanceWindow请求参数结构体
 *
 * @method string getInstanceId() 获取实例 ID，如：kee-6ubh****。
 * @method void setInstanceId(string $InstanceId) 设置实例 ID，如：kee-6ubh****。
 * @method string getStartTime() 获取维护时间窗起始时间，如：03:00。
 * @method void setStartTime(string $StartTime) 设置维护时间窗起始时间，如：03:00。
 * @method string getEndTime() 获取维护时间窗结束时间，如：06:00。
 * @method void setEndTime(string $EndTime) 设置维护时间窗结束时间，如：06:00。
 */
class ModifyMaintenanceWindowRequest extends AbstractModel
{
    /**
     * @var string 实例 ID，如：kee-6ubh****。
     */
    public $InstanceId;

    /**
     * @var string 维护时间窗起始时间，如：03:00。
     */
    public $StartTime;

    /**
     * @var string 维护时间窗结束时间，如：06:00。
     */
    public $EndTime;

    /**
     * @param string $InstanceId 实例 ID，如：kee-6ubh****。
     * @param string $StartTime 维护时间窗起始时间，如：03:00。
     * @param string $EndTime 维护时间窗结束时间，如：06:00。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("InstanceId",$param) and $param["InstanceId"] !== null) {
            $this->InstanceId = $param["InstanceId"];
        }

        if (array_key_exists("StartTime",$param) and $param["StartTime"] !== null) {
            $this->StartTime = $param["StartTime"];
        }

        if (array_key_exists("EndTime",$param) and $param["EndTime"] !== null) {
            $this->EndTime = $param["EndTime"];
        }
    }
}
