<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Monitor\V20180724\Models;
use TencentCloud\Common\AbstractModel;

/**
 * Grafana可视化服务 账号权限
 *
 * @method string getOrganization() 获取组织
 * @method void setOrganization(string $Organization) 设置组织
 * @method string getRole() 获取权限(Admin、Editor、Viewer)
 * @method void setRole(string $Role) 设置权限(Admin、Editor、Viewer)
 */
class GrafanaAccountRole extends AbstractModel
{
    /**
     * @var string 组织
     */
    public $Organization;

    /**
     * @var string 权限(Admin、Editor、Viewer)
     */
    public $Role;

    /**
     * @param string $Organization 组织
     * @param string $Role 权限(Admin、Editor、Viewer)
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("Organization",$param) and $param["Organization"] !== null) {
            $this->Organization = $param["Organization"];
        }

        if (array_key_exists("Role",$param) and $param["Role"] !== null) {
            $this->Role = $param["Role"];
        }
    }
}
