<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Monitor\V20180724\Models;
use TencentCloud\Common\AbstractModel;

/**
 * UpgradeGrafanaDashboard请求参数结构体
 *
 * @method string getInstanceId() 获取实例 ID
 * @method void setInstanceId(string $InstanceId) 设置实例 ID
 * @method array getIntegrationCodes() 获取Prometheus 集成项 Code，升级对应的 Dashboard，取值如下：
<li>qcloud</li>
<li>cvm_process_exporter</li>
<li>cvm_node_exporter</li>
<li>cvm</li>
<li>kubernetes</li>
<li>cdwch</li>
<li>rocketmq</li>
<li>spring_mvc</li>
<li>mysql</li>
<li>go</li>
<li>redis</li>
<li>jvm</li>
<li>pgsql</li>
<li>mongo</li>
<li>kafka</li>
<li>es</li>
<li>flink</li>
<li>blackbox</li>
<li>consule</li>
<li>memcached</li>
<li>zk</li>
<li>tps</li>
<li>istio</li>
<li>etcd</li>
<li>pts</li>
<li>kong</li>
 * @method void setIntegrationCodes(array $IntegrationCodes) 设置Prometheus 集成项 Code，升级对应的 Dashboard，取值如下：
<li>qcloud</li>
<li>cvm_process_exporter</li>
<li>cvm_node_exporter</li>
<li>cvm</li>
<li>kubernetes</li>
<li>cdwch</li>
<li>rocketmq</li>
<li>spring_mvc</li>
<li>mysql</li>
<li>go</li>
<li>redis</li>
<li>jvm</li>
<li>pgsql</li>
<li>mongo</li>
<li>kafka</li>
<li>es</li>
<li>flink</li>
<li>blackbox</li>
<li>consule</li>
<li>memcached</li>
<li>zk</li>
<li>tps</li>
<li>istio</li>
<li>etcd</li>
<li>pts</li>
<li>kong</li>
 */
class UpgradeGrafanaDashboardRequest extends AbstractModel
{
    /**
     * @var string 实例 ID
     */
    public $InstanceId;

    /**
     * @var array Prometheus 集成项 Code，升级对应的 Dashboard，取值如下：
<li>qcloud</li>
<li>cvm_process_exporter</li>
<li>cvm_node_exporter</li>
<li>cvm</li>
<li>kubernetes</li>
<li>cdwch</li>
<li>rocketmq</li>
<li>spring_mvc</li>
<li>mysql</li>
<li>go</li>
<li>redis</li>
<li>jvm</li>
<li>pgsql</li>
<li>mongo</li>
<li>kafka</li>
<li>es</li>
<li>flink</li>
<li>blackbox</li>
<li>consule</li>
<li>memcached</li>
<li>zk</li>
<li>tps</li>
<li>istio</li>
<li>etcd</li>
<li>pts</li>
<li>kong</li>
     */
    public $IntegrationCodes;

    /**
     * @param string $InstanceId 实例 ID
     * @param array $IntegrationCodes Prometheus 集成项 Code，升级对应的 Dashboard，取值如下：
<li>qcloud</li>
<li>cvm_process_exporter</li>
<li>cvm_node_exporter</li>
<li>cvm</li>
<li>kubernetes</li>
<li>cdwch</li>
<li>rocketmq</li>
<li>spring_mvc</li>
<li>mysql</li>
<li>go</li>
<li>redis</li>
<li>jvm</li>
<li>pgsql</li>
<li>mongo</li>
<li>kafka</li>
<li>es</li>
<li>flink</li>
<li>blackbox</li>
<li>consule</li>
<li>memcached</li>
<li>zk</li>
<li>tps</li>
<li>istio</li>
<li>etcd</li>
<li>pts</li>
<li>kong</li>
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("InstanceId",$param) and $param["InstanceId"] !== null) {
            $this->InstanceId = $param["InstanceId"];
        }

        if (array_key_exists("IntegrationCodes",$param) and $param["IntegrationCodes"] !== null) {
            $this->IntegrationCodes = $param["IntegrationCodes"];
        }
    }
}
