<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Privatedns\V20201028\Models;
use TencentCloud\Common\AbstractModel;

/**
 * AddSpecifyPrivateZoneVpc返回参数结构体
 *
 * @method string getZoneId() 获取zone id
 * @method void setZoneId(string $ZoneId) 设置zone id
 * @method array getVpcSet() 获取本次新增的vpc
 * @method void setVpcSet(array $VpcSet) 设置本次新增的vpc
 * @method array getAccountVpcSet() 获取本次新增的关联账号vpc
 * @method void setAccountVpcSet(array $AccountVpcSet) 设置本次新增的关联账号vpc
 * @method string getUniqId() 获取唯一id
注意：此字段可能返回 null，表示取不到有效值。
 * @method void setUniqId(string $UniqId) 设置唯一id
注意：此字段可能返回 null，表示取不到有效值。
 * @method string getRequestId() 获取唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 * @method void setRequestId(string $RequestId) 设置唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
 */
class AddSpecifyPrivateZoneVpcResponse extends AbstractModel
{
    /**
     * @var string zone id
     */
    public $ZoneId;

    /**
     * @var array 本次新增的vpc
     */
    public $VpcSet;

    /**
     * @var array 本次新增的关联账号vpc
     */
    public $AccountVpcSet;

    /**
     * @var string 唯一id
注意：此字段可能返回 null，表示取不到有效值。
     */
    public $UniqId;

    /**
     * @var string 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    public $RequestId;

    /**
     * @param string $ZoneId zone id
     * @param array $VpcSet 本次新增的vpc
     * @param array $AccountVpcSet 本次新增的关联账号vpc
     * @param string $UniqId 唯一id
注意：此字段可能返回 null，表示取不到有效值。
     * @param string $RequestId 唯一请求 ID，每次请求都会返回。定位问题时需要提供该次请求的 RequestId。
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("ZoneId",$param) and $param["ZoneId"] !== null) {
            $this->ZoneId = $param["ZoneId"];
        }

        if (array_key_exists("VpcSet",$param) and $param["VpcSet"] !== null) {
            $this->VpcSet = [];
            foreach ($param["VpcSet"] as $key => $value){
                $obj = new VpcInfo();
                $obj->deserialize($value);
                array_push($this->VpcSet, $obj);
            }
        }

        if (array_key_exists("AccountVpcSet",$param) and $param["AccountVpcSet"] !== null) {
            $this->AccountVpcSet = [];
            foreach ($param["AccountVpcSet"] as $key => $value){
                $obj = new AccountVpcInfo();
                $obj->deserialize($value);
                array_push($this->AccountVpcSet, $obj);
            }
        }

        if (array_key_exists("UniqId",$param) and $param["UniqId"] !== null) {
            $this->UniqId = $param["UniqId"];
        }

        if (array_key_exists("RequestId",$param) and $param["RequestId"] !== null) {
            $this->RequestId = $param["RequestId"];
        }
    }
}
