<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Rce\V20201103\Models;
use TencentCloud\Common\AbstractModel;

/**
 * 其它账号信息。
 *
 * @method string getAccountId() 获取其它账号信息：  
AccountType 是 4 时，填入真实的手机号（如 13123456789）。 
AccountType 是 8 时，支持 imei、idfa、imeiMD5、idfaMD5入参。  
AccountType 是 0 时，填入账号信息。  
AccountType 是 10004 时，填入手机号的 MD5 值。 
注：imeiMd5 加密方式为：  
imei 明文小写后，进行 MD5 加密，加密后取小写值。  
IdfaMd5 加密方式为：idfa 明文大写后，进行 MD5 加密，加密后取小写值。

 * @method void setAccountId(string $AccountId) 设置其它账号信息：  
AccountType 是 4 时，填入真实的手机号（如 13123456789）。 
AccountType 是 8 时，支持 imei、idfa、imeiMD5、idfaMD5入参。  
AccountType 是 0 时，填入账号信息。  
AccountType 是 10004 时，填入手机号的 MD5 值。 
注：imeiMd5 加密方式为：  
imei 明文小写后，进行 MD5 加密，加密后取小写值。  
IdfaMd5 加密方式为：idfa 明文大写后，进行 MD5 加密，加密后取小写值。

 * @method string getMobilePhone() 获取手机号，若 AccountType 是 4（手机号）、或 10004（手机号 MD5），则无需重复填写 
否则填入对应的手机号（如 13123456789）。
 * @method void setMobilePhone(string $MobilePhone) 设置手机号，若 AccountType 是 4（手机号）、或 10004（手机号 MD5），则无需重复填写 
否则填入对应的手机号（如 13123456789）。
 * @method string getDeviceId() 获取用户设备号。若 AccountType 是 8（设备号），则无需重复填写，否则填入对应的设备 
号。 

 * @method void setDeviceId(string $DeviceId) 设置用户设备号。若 AccountType 是 8（设备号），则无需重复填写，否则填入对应的设备 
号。 
 */
class OtherAccountInfo extends AbstractModel
{
    /**
     * @var string 其它账号信息：  
AccountType 是 4 时，填入真实的手机号（如 13123456789）。 
AccountType 是 8 时，支持 imei、idfa、imeiMD5、idfaMD5入参。  
AccountType 是 0 时，填入账号信息。  
AccountType 是 10004 时，填入手机号的 MD5 值。 
注：imeiMd5 加密方式为：  
imei 明文小写后，进行 MD5 加密，加密后取小写值。  
IdfaMd5 加密方式为：idfa 明文大写后，进行 MD5 加密，加密后取小写值。

     */
    public $AccountId;

    /**
     * @var string 手机号，若 AccountType 是 4（手机号）、或 10004（手机号 MD5），则无需重复填写 
否则填入对应的手机号（如 13123456789）。
     */
    public $MobilePhone;

    /**
     * @var string 用户设备号。若 AccountType 是 8（设备号），则无需重复填写，否则填入对应的设备 
号。 

     */
    public $DeviceId;

    /**
     * @param string $AccountId 其它账号信息：  
AccountType 是 4 时，填入真实的手机号（如 13123456789）。 
AccountType 是 8 时，支持 imei、idfa、imeiMD5、idfaMD5入参。  
AccountType 是 0 时，填入账号信息。  
AccountType 是 10004 时，填入手机号的 MD5 值。 
注：imeiMd5 加密方式为：  
imei 明文小写后，进行 MD5 加密，加密后取小写值。  
IdfaMd5 加密方式为：idfa 明文大写后，进行 MD5 加密，加密后取小写值。

     * @param string $MobilePhone 手机号，若 AccountType 是 4（手机号）、或 10004（手机号 MD5），则无需重复填写 
否则填入对应的手机号（如 13123456789）。
     * @param string $DeviceId 用户设备号。若 AccountType 是 8（设备号），则无需重复填写，否则填入对应的设备 
号。 
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("AccountId",$param) and $param["AccountId"] !== null) {
            $this->AccountId = $param["AccountId"];
        }

        if (array_key_exists("MobilePhone",$param) and $param["MobilePhone"] !== null) {
            $this->MobilePhone = $param["MobilePhone"];
        }

        if (array_key_exists("DeviceId",$param) and $param["DeviceId"] !== null) {
            $this->DeviceId = $param["DeviceId"];
        }
    }
}
