<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tcb\V20180608\Models;
use TencentCloud\Common\AbstractModel;

/**
 * DeleteCloudBaseProjectLatestVersion请求参数结构体
 *
 * @method string getEnvId() 获取环境id
 * @method void setEnvId(string $EnvId) 设置环境id
 * @method string getProjectName() 获取项目名
 * @method void setProjectName(string $ProjectName) 设置项目名
 * @method boolean getKeepResource() 获取是否保留资源
 * @method void setKeepResource(boolean $KeepResource) 设置是否保留资源
 */
class DeleteCloudBaseProjectLatestVersionRequest extends AbstractModel
{
    /**
     * @var string 环境id
     */
    public $EnvId;

    /**
     * @var string 项目名
     */
    public $ProjectName;

    /**
     * @var boolean 是否保留资源
     */
    public $KeepResource;

    /**
     * @param string $EnvId 环境id
     * @param string $ProjectName 项目名
     * @param boolean $KeepResource 是否保留资源
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("EnvId",$param) and $param["EnvId"] !== null) {
            $this->EnvId = $param["EnvId"];
        }

        if (array_key_exists("ProjectName",$param) and $param["ProjectName"] !== null) {
            $this->ProjectName = $param["ProjectName"];
        }

        if (array_key_exists("KeepResource",$param) and $param["KeepResource"] !== null) {
            $this->KeepResource = $param["KeepResource"];
        }
    }
}
