<?php
/*
 * Copyright (c) 2017-2018 THL A29 Limited, a Tencent company. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
namespace TencentCloud\Tcr\V20190924\Models;
use TencentCloud\Common\AbstractModel;

/**
 * ModifyInstance请求参数结构体
 *
 * @method string getRegistryId() 获取实例ID
 * @method void setRegistryId(string $RegistryId) 设置实例ID
 * @method string getRegistryType() 获取实例的规格,
基础版：basic
标准版：standard
高级版：premium
 * @method void setRegistryType(string $RegistryType) 设置实例的规格,
基础版：basic
标准版：standard
高级版：premium
 * @method boolean getDeletionProtection() 获取实例删除保护，false为关闭
 * @method void setDeletionProtection(boolean $DeletionProtection) 设置实例删除保护，false为关闭
 */
class ModifyInstanceRequest extends AbstractModel
{
    /**
     * @var string 实例ID
     */
    public $RegistryId;

    /**
     * @var string 实例的规格,
基础版：basic
标准版：standard
高级版：premium
     */
    public $RegistryType;

    /**
     * @var boolean 实例删除保护，false为关闭
     */
    public $DeletionProtection;

    /**
     * @param string $RegistryId 实例ID
     * @param string $RegistryType 实例的规格,
基础版：basic
标准版：standard
高级版：premium
     * @param boolean $DeletionProtection 实例删除保护，false为关闭
     */
    function __construct()
    {

    }

    /**
     * For internal only. DO NOT USE IT.
     */
    public function deserialize($param)
    {
        if ($param === null) {
            return;
        }
        if (array_key_exists("RegistryId",$param) and $param["RegistryId"] !== null) {
            $this->RegistryId = $param["RegistryId"];
        }

        if (array_key_exists("RegistryType",$param) and $param["RegistryType"] !== null) {
            $this->RegistryType = $param["RegistryType"];
        }

        if (array_key_exists("DeletionProtection",$param) and $param["DeletionProtection"] !== null) {
            $this->DeletionProtection = $param["DeletionProtection"];
        }
    }
}
